cURL
curl --request GET \
--url https://api.fluents.ai/v1/prompts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluents.ai/v1/prompts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluents.ai/v1/prompts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"user_id": "550e8400-e29b-41d4-a716-446655440000",
"label": "My Prompt",
"description": "This is a description",
"content": "You are a helpful assistant...",
"context_endpoint": "https://api.example.com/context",
"collect_fields": [
"<string>"
],
"type": "prompt",
"tags": [
"tag1",
"tag2"
],
"prompt_template": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"user_id": "550e8400-e29b-41d4-a716-446655440000",
"required_context_keys": [
"tag1",
"tag2"
],
"label": "My Prompt"
}
}{
"message": "<string>",
"error": "<string>",
"statusCode": 400
}{
"message": "<string>",
"error": "<string>",
"statusCode": 404
}Prompts
Get prompt
GET
/
v1
/
prompts
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Response
Example:
"550e8400-e29b-41d4-a716-446655440000"
Example:
"550e8400-e29b-41d4-a716-446655440000"
Example:
"My Prompt"
Example:
"This is a description"
Example:
"You are a helpful assistant..."
Example:
"https://api.example.com/context"
Available options:
prompt, block Example:
"prompt"
Example:
["tag1", "tag2"]Show child attributes
Show child attributes
Was this page helpful?
⌘I

